#!/bin/sh

APT_KEYRING_FILE="/etc/apt/trusted.gpg"
DOCKER_KEYRING_FILE="/etc/apt/trusted.gpg.d/download.docker.com.gpg"

# Keys was installed in correct location since 2018.05.14
if [ $XIVO_VERSION_INSTALLED \> '2018.05.14' ]; then
    exit 0
fi

# There was no docker installed before 2018.02.00
if [ $XIVO_VERSION_INSTALLED \< '2018.02.00' ]; then
    exit 0
fi

is_key_installed=$(gpg --batch --no-tty --keyring ${DOCKER_KEYRING_FILE} --list-keys --with-colons|grep -q "0EBFCD88"; echo $?)
if [ $is_key_installed -eq 0 ]; then
    echo "Remove Docker GPG key from default apt keyring file..."
    gpg --batch --no-tty --keyring ${APT_KEYRING_FILE} --yes --delete-keys 0EBFCD88
fi